WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.

안녕하세요 ! venvs 가상환경 만든 다음에 Flask 설치하는 데 ssl 모듈이 없어서 다운 받으라는 오류가 뜨네요!
오류 코드 :
C:\venvs>pip install Flask
WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Requirement already satisfied: Flask in c:\users\samsung\anaconda3\lib\site-packages (1.1.2)
Requirement already satisfied: itsdangerous>=0.24 in c:\users\samsung\anaconda3\lib\site-packages (from Flask) (2.0.1)
Requirement already satisfied: Jinja2>=2.10.1 in c:\users\samsung\anaconda3\lib\site-packages (from Flask) (2.11.3)
Requirement already satisfied: click>=5.1 in c:\users\samsung\anaconda3\lib\site-packages (from Flask) (8.0.3)
Requirement already satisfied: Werkzeug>=0.15 in c:\users\samsung\anaconda3\lib\site-packages (from Flask) (2.0.2)
Requirement already satisfied: colorama in c:\users\samsung\anaconda3\lib\site-packages (from click>=5.1->Flask) (0.4.4)
Requirement already satisfied: MarkupSafe>=0.23 in c:\users\samsung\anaconda3\lib\site-packages (from Jinja2>=2.10.1->Flask) (1.1.1)
WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping

이컴퓨 131

2022년 5월 5일 12:03 오전

목록으로